DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# absolute-child-number

## Name

absolute-child-number -- Returns the absolute child number of the specified node

## Synopsis

    (absolute-child-number #!optional (nd (current-node)))

## Description

Returns the child number, regardless of gi, of `snl` within its parent.

Isn't there a better way to get this?

snl

  The node (singleton node list) whose child number is desired.

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (absolute-child-number #!optional (nd (current-node)))
      ;; Returns the absolute child number of the specified node
      (+ (node-list-length (preced nd)) 1))

Prev | Home | Next
map | Up | Debug